> ## Documentation Index
> Fetch the complete documentation index at: https://docs.killb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh access token



## OpenAPI

````yaml https://killb.app/api/v2/open-api-json post /api/v2/auth/refresh
openapi: 3.0.0
info:
  title: Tarantino V2 API
  description: Tarantino V2 REST API documentation
  version: 2.0.0
  contact: {}
servers:
  - url: https://sandbox.killb.app
    description: Sandbox
  - url: https://killb.app
    description: Production
security: []
tags: []
paths:
  /api/v2/auth/refresh:
    post:
      tags:
        - Auth
      summary: Refresh access token
      operationId: AuthController_refresh
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    RefreshDto:
      type: object
      properties:
        refreshToken:
          type: string
          example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJyZWZyZXNoIn0
      required:
        - refreshToken
    RefreshResponseDto:
      type: object
      properties:
        refreshToken:
          type: string
          example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJyZWZyZXNoIn0
        accessToken:
          type: string
          example: >-
            eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIn0
        expiresIn:
          type: number
          example: 3600000
          description: Number in milliseconds
      required:
        - refreshToken
        - accessToken
        - expiresIn
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: string
          example: API_USER.0001
        arguments:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestArgument'
        message:
          example:
            - User not found
            - Account not found
          type: array
          items:
            type: string
        statusCode:
          type: string
          example: '400'
      required:
        - errorCode
        - arguments
        - message
        - statusCode
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: string
          example: '500'
        message:
          example:
            - Internal server error
          type: array
          items:
            type: string
      required:
        - statusCode
        - message
    BadRequestArgument:
      type: object
      properties:
        key:
          type: string
          example: email
        value:
          type: string
          example: invalid@email.com
      required:
        - key
        - value

````